char_ptr.hpp File Reference
`#include "msgpack/versioning.hpp"`
`#include "msgpack/object_fwd.hpp"`
`#include "msgpack/adaptor/adaptor_base.hpp"`
`#include "msgpack/adaptor/check_container_size.hpp"`
`#include <cstring>`

Go to the source code of this file.

## Classes

struct | msgpack::adaptor::pack< const char * >
struct | msgpack::adaptor::object_with_zone< const char * >
struct | msgpack::adaptor::object< const char * >
struct | msgpack::adaptor::pack< char * >
struct | msgpack::adaptor::object_with_zone< char * >
struct | msgpack::adaptor::object< char * >

## Namespaces

| msgpack
| msgpack::adaptor